clear all
version 12
set more off

do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

cd "$data"
use finaldata.dta, clear

display c(current_time)

quie do "$do_files/Jaselyn/tchsrt/cr_rr_tables/Tab56_BootstrapProgram.do"

**Table 6
global controls propst eds preread_ltm Black Hispanic Other st_eds st_preread_ltm st_Black st_Hispanic st_Other
global regvars any_ostchp eds st_eds expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts eds_expgt3i eds_more_than_BA eds_nbpts seds_expgt3i seds_more_than_BA seds_nbpts

boot_sib, spec(quie _regress atch va eds_va any_ostchp_va st_eds_va $regvars $controls, absorb(schgryrst)) savecoef(va eds_va any_ostchp_va st_eds_va eds st_eds expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts eds_expgt3i eds_more_than_BA eds_nbpts seds_expgt3i seds_more_than_BA seds_nbpts $controls) va_int(eds any_ostchp st_eds) n($max_iter) eststo_name(t6a)


global regvars any_ostchp expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts la_expgt3i la_more_than_BA la_nbpts sla_expgt3i sla_more_than_BA sla_nbpts
boot_sib, spec(quie _regress atch va preread_ltm_va any_ostchp_va st_preread_ltm_va $regvars $controls, absorb(schgryrst)) savecoef(va preread_ltm_va any_ostchp_va st_preread_ltm_va expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts la_expgt3i la_more_than_BA la_nbpts sla_expgt3i sla_more_than_BA sla_nbpts $controls) va_int(preread_ltm any_ostchp st_preread_ltm) n($max_iter) eststo_name(t6b)


global controls propst eds preread_ltm nw st_eds st_preread_ltm st_nw
global regvars any_ostchp expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts nw_expgt3i nw_more_than_BA nw_nbpts snw_expgt3i snw_more_than_BA snw_nbpts
boot_sib, spec(quie _regress atch va nw_va any_ostchp_va st_nw_va $regvars $controls, absorb(schgryrst)) savecoef(va nw_va any_ostchp_va st_nw_va expgt3i more_than_BA nbpts st_expgt3i st_more_than_BA st_nbpts nw_expgt3i nw_more_than_BA nw_nbpts snw_expgt3i snw_more_than_BA snw_nbpts $controls) va_int(nw any_ostchp st_nw) n($max_iter) eststo_name(t6c)

cd "$tables"
estout t6a t6b t6c using "$tables/Final_RR_Tables.txt", append cells(b(fmt(4)) seboot(fmt(4))) keep(expgt3i more_than_BA nbpts va st_expgt3i st_more_than_BA st_nbpts any_ostchp_va eds_expgt3i eds_more_than_BA eds_nbpts eds_va seds_expgt3i seds_more_than_BA seds_nbpts st_eds_va nw_expgt3i nw_more_than_BA nw_nbpts nw_va snw_expgt3i snw_more_than_BA snw_nbpts st_nw_va la_expgt3i la_more_than_BA la_nbpts preread_ltm_va sla_expgt3i sla_more_than_BA sla_nbpts st_preread_ltm_va) title("Table 6: Heterogeneity in Sorting to Sibling Teachers by Student*Teacher Characteristics") note("Note: *** p < 0.01, ** p < 0.05, * p < 0.10. Each panel presents estimates from a separate regression which includes all four teacher characteristics and their specified interactions using 2,968,360 observations. The regression in Panel A includes the main effects of the teacher characteristics, their interactions with student poverty indicator, their interactions with the sibling teacher indicator, and their interactions with the sibling teacher indicator*student poverty interactions. The regression in Panel B includes the main effects of the teacher characteristics, their interactions with low achieving indicator, their interactions with the sibling teacher indicator, and their interactions with the sibling teacher indicator*low-achieving interactions. The regression in Panel C includes the main effects of the teacher characteristics, their interactions with non-white indicator, their interactions with the sibling teacher indicator, and their interactions with the sibling teacher*non-white interactions. All regressions control for the proportion of students taught by the teacher, student characteristics (all race/ethnicity indicators in Panels A and B and the non-white indicator in Panel C), interactions of the student characteristics with the sibling teacher indicator, and sibling-teacher-by-schoolgrade-year fixed effects. Standard errors are calculated using the bootstrap method described in the text.")

/* Formatting Notes:


Significance must be manually calculated and stars manually added.
*/

