clear all
version 12
set more off

do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

/*
This do-file calculates the amount of sorting within schools. It does not create a table, as this information is used in a footnote only.
*/

cd "$data"
use finaldata.dta, clear

egen schlID = group(lea_r schlcode_fl)

global stud preread Black Hispanic Other eds 

global stud_sib st_preread st_Black st_Hispanic st_Other st_eds 

global tch_main expgt3i more_than_BA nbpts va



local inter = "eds"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va 
global tch_stud_sib_`inter' s`inter'_expgt3i s`inter'_more_than_BA s`inter'_nbpts s`inter'_va 

local inter = "nw"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va 
global tch_stud_sib_`inter' s`inter'_expgt3i s`inter'_more_than_BA s`inter'_nbpts s`inter'_va 

local inter = "la"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va 
global tch_stud_sib_`inter' s`inter'_expgt3i s`inter'_more_than_BA s`inter'_nbpts s`inter'_va 






global stud 		propst eds preread_ltm Black Hispanic Other 
global stud_sib 	any_ostchp  st_eds st_preread_ltm st_Black st_Hispanic st_Other
global tch_main 	va   expgt3i  more_than_BA nbpts
global tch_sib 		st_expgt3i st_more_than_BA any_ostchp_va st_nbpts
global tch_stud 	eds_va eds_expgt3i eds_more_than_BA eds_nbpts 
global tch_stud_sib     st_eds_va   seds_expgt3i seds_more_than_BA seds_nbpts 



gen fail_test=.
egen num_sib = total(any_ostchp),by(schlID)

keep if num_sib>20 & num_sib!=.


levelsof schlID

foreach i in `r(levels)' {
	dis "schl id: `i'"
		
cap _regress atch  if schlID==`i' , absorb(schgryr) 

if _rc==0{
	
	 areg atch $stud $stud_sib $tch_main $tch_sib $tch_stud $tch_stud_sib if schlID==`i' , absorb(schgryr)  cluster(my)
	
	
	local any_missing = 0 
		foreach v in  $st_eds {
		local se_`v'=_se[`v']
			if "`se_`v''"=="0"{
			local any_missing = 1 
			}
		}

		if `any_missing' ==0 {
			replace fail_test=0 if schlID==`i'
			foreach var in   $stud_sib  $tch_sib $tch_stud $tch_stud_sib {
			replace fail_test = 1 if abs(_b[`var']/_se[`var']) > 1.96 & schlID==`i' & _se[`var']!=0 
			display _b[`var']/_se[`var']
			}
		}
	}

}


bys schlID: gen first_ob=_n==1

summ fail_test if first_ob==1

