clear all
version 12
set more off

do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

cd "$data"
use finaldata.dta, clear
set matsize 790

rename any_ostchp_va st_va 
rename preread_ltm_va la_va

lab var any_ostchp "Sibling Teacher"

*Create globals
global controls propst eds preread_ltm Black Hispanic Other st_eds st_preread_ltm st_Black st_Hispanic st_Other

global stud preread_ltm Black Hispanic Other eds 
global tch_main expgt3i more_than_BA nbpts va

local inter = "eds"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va  

local inter = "nw"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va 

local inter = "la"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va 

areg atch any_ostchp $tch_stud_eds  $tch_stud_nw $tch_stud_la  $stud $tch_main propst, absorb(schgryr) cluster(my)
est store c2

cd "$tables"
xml_tab c2, ///
save("RR2_Tab3Col2_full.xml") sheet("Table 3 Col2") title("The Role of Sibling Teachers in Predicting Teacher Assignment")  ///
font("garamond") replace stats(N) below ///
note("Note: *** p < 0.01, ** p < 0.05, * p < 0.10. All regressions control for the sibling teacher indicator, proportion of students taught by the teacher, and school-grade-year fixed effects. In Column 2, we additionally control for student characteristics (race/ethnicity indicators, student poverty and low achieving indicator), teacher characteristics (indicator for teacher has three or more years of experience, teacher has advanced degree indicator, Teacher is National Board certified indicator, and teacher value-added), as well as interaction terms between each of the teacher characteristics and the student poverty, non-white, and low achieving indicators. Column 3 includes a fully saturated model with interaction terms between all of the teacher characteristics and all of the student characteristics. Standard errors are clustered at the student-year level.")

*Create globals
global controls propst eds preread_ltm Black Hispanic Other st_eds st_preread_ltm st_Black st_Hispanic st_Other

global stud preread_ltm nw eds 
global tch_main expgt3i more_than_BA nbpts va

local inter = "eds"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va  

local inter = "nw"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va 

local inter = "la"
global tch_stud_`inter' `inter'_expgt3i `inter'_more_than_BA `inter'_nbpts `inter'_va 

areg atch any_ostchp $tch_stud_eds  $tch_stud_nw $tch_stud_la  $stud $tch_main propst, absorb(schgryr) cluster(my)
est store c2

cd "$tables"
xml_tab c2, ///
save("RR2_Tab3Col2_fullv2.xml") sheet("Table 3 Col2") title("The Role of Sibling Teachers in Predicting Teacher Assignment")  ///
font("garamond") replace stats(N) below ///
note("Note: *** p < 0.01, ** p < 0.05, * p < 0.10. All regressions control for the sibling teacher indicator, proportion of students taught by the teacher, and school-grade-year fixed effects. In Column 2, we additionally control for student characteristics (race/ethnicity indicators, student poverty and low achieving indicator), teacher characteristics (indicator for teacher has three or more years of experience, teacher has advanced degree indicator, Teacher is National Board certified indicator, and teacher value-added), as well as interaction terms between each of the teacher characteristics and the student poverty, non-white, and low achieving indicators. Column 3 includes a fully saturated model with interaction terms between all of the teacher characteristics and all of the student characteristics. Standard errors are clustered at the student-year level.")

