
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"
global create_do "$do_files/Jaselyn/tchsrt/cr_tchsrtdata"

*************************************************************************
*								Step One								*
*************************************************************************
/*
Input:	VAMdata.dta
	Note: This data set is created by running Masterdo_crVAdata.do.
Output:	tchr_va_boot_total.dta
		tchr_va_boot.dta

Description: This do-file takes the VA data and runs a loop
to bootstrap 1000 different VA estimates. 
*/

do "$create_do/01_VA_Boot.do"


*************************************************************************
*								Step Two								*
*************************************************************************
/*
Input:	VAM_data.dta
	Note: This data set is created by running Masterdo_crVAdata.do.
Output:	readdata_rr.dta
		tchsgydata_rr.dta
		tchsgydata_rr_1a.dta

Keep students in reading classes, create flags, create two teacher level datasets with info
on school, grade, year they are in and class sizes, tchsgydata.dta. Second
tchsgydata_1a.dta drops those observations of students in a class with <10 students.
*/

do "$create_do/02_cr_tchrdata_rr.do"


*************************************************************************
*								Step Three								*
*************************************************************************
/*
Input:	readdata_rr.dta
		$rawfam/sibling_pub.dta (for merge)
Output:	data_rr_1a.dta

Add in siblingID and create family info
Keep students in 4th and 5th grade
*/

do "$create_do/03_crdata1_rr_1a.do"


*************************************************************************
*								Step Four								*
*************************************************************************
/*
Input:	data_rr_1a.dta
Output:	data_rr_1a.dta

cleaning
*/

do "$create_do/04_crdata2_rr_1a.do"


*************************************************************************
*								Step Five								*
*************************************************************************
/*
Input:	data_rr_1a.dta
Output:	panel_rr_1a.dta (intermediate)
		panel1_rr_1a.dta

Create student-by-year-by-grade-by-potential-teacher panel data set and merge back into
the student data. */
do "$create_do/05_crpanel_rr_1a.do"


*************************************************************************
*								Step Six								*
*************************************************************************
/*
Part a)
Input:	panel1_rr_1a.dta
Output:	panel_rr_1a.dta

Description: To save server space, the newly created data set saves over
the intermediate data set from Step Six.

Create variables about assigned, potential, sibling teachers.*/
do "$create_do/06a_panelclean_rr_1a.do"

/*Part b)
Input: Raw personnel files in classroom folder
Output: teacher_eth.dta
Description: create teacher race/ethnicity indicators
do "$create_do/06b_teachereth.do"

/*Part c)
Input: Raw pay files in Teacher folder
		VAM_data.dta
Output: cleaned_teach_exp_file.dta
Description: create teacher experience measures
do "$create_do/06b_teacherexp.do"


*************************************************************************
*								Step Seven								*
*************************************************************************
/*
Input:	tchsgydtata_rr_1a.dta (for merge)
		panel_rr_1a.dta
		tchr_va_boot.dta (for merge)
		teacher_eth.dta (for merge)
Output:	panel2_rr_1a.dta
		teach_exp_file.dta (intermediate)
			Note: This data is created by $do_files/07b_teachchar_cleaning.do,
			which is called to run within this do-file.
		tch_race.dta (intermediate)
		
Merge teacher and class characteristics */


do "$create_do/07a_cr_panel2_rr_1a.do"


*************************************************************************
*								Step Eight								*
*************************************************************************
/*
Input:	panel2_rr_1a.dta
Output:	final_1a.dta
create more covariates
*/

do "$create_do/08_finaldata.do"


*************************************************************************
*								Step Nine								*
*************************************************************************
/*
Input:	final_1a.dta
		tchr_va_boot_total.dta (for merge)
Output:	finaldata.dta
keep variables and sample used in the analyses*/

do "$create_do/09_crdata.do"
