clear all
version 12
set more off
cap log close
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"




cd "$data"
use data_rr_1a.dta, clear

foreach dem in Black White Hispanic Other Female {
	bys mastid: egen m`dem' = max(`dem')
	drop `dem'
	rename m`dem' `dem'
}

replace White = 0 if Hispanic == 1 & White == 1 & Other == 0 & Black == 0

gen multr = 1 if Black == 1 & (White == 1 | Hispanic == 1 | Other == 1)
replace multr = 1 if Hispanic == 1 & (Other == 1 | White == 1)
replace multr = 1 if White == 1 & Other == 1

replace Other = 1 if multr == 1
replace Black = 0 if multr == 1
replace Hispanic = 0 if multr == 1
replace White = 0 if multr == 1

tab White Black
tab White Hispanic
tab White Other
tab White multr

tab Black Hispanic
tab Black Other
tab Black multr

tab Hispanic Other
tab Hispanic multr

tab Other multr

drop multr


/*Edit: Adjust grade_repeat variable to be non-missing for students the first year they take a grade. */
tab grade_repeat
duplicates tag mastid grade, gen(grdrp)
tab grdrp

sort mastid grade year
by mastid grade: replace grade_repeat = 0 if grade_repeat[_n+1] == 1 & grade_repeat == .
by mastid grade: replace grade_repeat = 1 if grade_repeat[_n-1] == 1 & grade_repeat == .
by mastid grade: replace grade_repeat = 1 if year == 2008 & year[_n-1] == 2007 & grade_repeat == .

tab grade_repeat
count if grade_repeat == .

gen rept = (grade_repeat == 1 | pregrade_repeat == 1)
replace rept = . if grade_repeat == .
by mastid: egen max_repeat = max(rept)
drop rept
rename max_repeat ever_repeat
lab var ever_repeat "==1 if student ever repeated a grade"

tab nsoi4g ever_repeat
tab nsoi5g ever_repeat

*Indicator that student's read and math teacher is the same
g has_samertmt = mteachid==teachid if teachid!=. & mteachid!=.

* Dropping unnecessary vars
****************************************************************
keep mastid grade* siblingID dropclass* family mis_sibID anytuple year_sib* agegap_* in5gr* in4gr* nsoi* big_fam sm_fam sib* lea_r* pregrade_repeat ever_repeat plurality twin schlcode_fl* year* teachid mteachid* math* read* premath* preread* has_samertmt* birthdt Black White Hispanic Other Female eds* disabled* lep_flag* Age* grdrp kid miss_osib_info
drop year_sibfile


cd "$data"
save data_rr_1a.dta, replace 

