do "/home/home2/qureshi_rs1/complementarities/library.do"


cd $raw
 cd Teacher 
 cd Pay

   use teachid bud_obj_cd pay_lvl_cd using lspaysnap2006, clear
gen year=2006
 forvalues yr= 2007/2011{
	append using lspaysnap`yr',keep(teachid pay_lvl_cd bud_obj_cd)
	qui replace year=`yr' if year==.
	}
 gen educ_lvl=""
 gen tchr_exp=.
rename pay_lvl_cd pay_level


 cd "$work"
 save tch_pay2006_2011,replace



 cd $raw
 cd Teacher 
 cd Pay
  use certsalpub2012.dta, clear
 
 

 use teachid educ_lvl bud_obj_cd tchr_exp pay_level using certsalpub2012.dta, clear
 tostring bud_obj_cd,replace
 
replace tchr_exp=tchr_exp-1 


gen year=2012
 forvalues yr= 2013/2014{
	append using certsalpub`yr',keep(teachid educ_lvl tchr_exp pay_level bud_obj_cd)
	qui replace year=`yr' if year==.
	}
	
 cd "$work"

 append using tch_pay2006_2011

duplicates drop

save tch_pay2006_2014,replace


*****************************Now I clean the data

**The code below is partly borrowed from Jesse Rothstein
***Decode the pay code variable.
***Coding scheme comes from:
***   North Carolina Public School Personnel,
***   Employee Salary and Benefits Manual, 2006-2007, Part I: Salary
***   p. A-7. 2013-2014
****** 
	
*Start by padding from the end;
use tch_pay2006_2014,clear

rename pay_level pay_lvl_cd



 forvalues i=1/7 {
 	 replace pay_lvl_cd=pay_lvl_cd+" " if length(pay_lvl_cd)<7
 	}

gen missing_pay_data=(pay_lvl_cd=="       ")

*Digits 1&2 of the Pay Level and Schedule ;
gen first2=substr(pay_lvl_cd,1,2)
gen rectype=0
replace rectype=1 if first2=="A " | first2=="M " | first2=="MS" | first2=="MD" | first2==" A" | first2==" M" | first2=="G "
*note the G code was added by Ben Ost since it was missing.  This does not come from the documentation but is based on descriptive stats;
*from the descriptive stats it is clear that the M code was G before the year 2000;
replace rectype=2 if first2=="3 " | first2=="3S" | first2=="3D" | first2==" 3"
replace rectype=3 if first2=="0 " | first2=="0S" | first2=="0D" | first2==" 0"
gen invalid=(rectype~=1 & rectype~=2 & rectype~=3)
label define rtype 1 "Teacher" 2 "Psychologist" 3 "Admin"
label values rectype rtype
label variable rectype "Type of pay code-teacher, admin, psychologist"


gen educ_level=-1
replace educ_level=0 if first2=="A " | first2==" A"  
replace educ_level=1 if first2=="M " | first2==" M" | first2=="3 " | first2==" 3" ///
                       | first2=="0 " | first2==" 0" | first2=="G " 
replace educ_level=2 if first2=="0S" | first2=="3S" | first2=="MS"
replace educ_level=3 if first2=="0D" | first2=="3D" | first2=="MD"
replace educ_level=. if invalid==1
label define edcat 0 "BA" 1 "MA" 2 "MA+" 3 "Doctorate"
label values educ_level edcat
label variable educ_level "Education (from pay code)"

*Digits 3&4 of the Pay Level and Schedule;
gen second2= substr(pay_lvl_cd,3,2)
gen years_exp=real(second2)
replace invalid=1 if rectype==3 & (years_exp<0 | years_exp>46)
replace invalid=1 if rectype<0 | rectype==.
replace years_exp=. if years_exp<0
label var years_exp "Experience (from pay code)"


*Digits 5&6 of the Pay Level and Schedule ;
gen digits56=substr(pay_lvl_cd,5,2)
replace invalid=1 if digits56!="." & digits56!="  " & digits56!=" " & digits56~="" & digits56~="00" & digits56!="N " & digits56!=" N"


*The last digit (7) for the Pay Level and Schedule ;
gen lastdigit=substr(pay_lvl_cd,7,1)
*Note: Documentation says NBPTS is "N". But there are many "B"s as well.  Dont code as invalid;
replace invalid=1 if (rectype==1 & lastdigit~="" & lastdigit~=" " & lastdigit~="N" & lastdigit~="B")
replace invalid=1 if (rectype==2 & lastdigit~="" & lastdigit~=" " ) 
replace invalid=1 if (rectype==3 & lastdigit~="" & lastdigit~=" " ///
                                  & lastdigit~="A" & lastdigit~="B" & lastdigit~="C" /// 
                                  & lastdigit~="D" & lastdigit~="E" & lastdigit~="F") 
				  
				  
gen nbpts=(lastdigit=="N") if rectype==1 & invalid~=1

**this corrects the very very few observations that placed the nbpts flag in 5th or 6th place instead of the 7th.
replace nbpts=1 if digits56==" N" | digits56=="N "



drop lastdigit
label var nbpts "Teacher is Natl Board Certified"

rename invalid paycode_flag
label var paycode_flag "Indicator for an invalid pay code (nearly 100% due to missing paycode data)"

*Now, keep only one record per teacher per year;
	 *Start by dropping invalid records if there are valid records;
	  sort teachid year paycode_flag rectype 
	  by teachid year : drop if paycode_flag==1 & _n>1 & paycode_flag[1]==0
	 *Drop the admin and physcologists
	 drop if rectype==2 | rectype==3
	 
	 **flag any record that is not a teaching position.
	gen not_teacher=(bud_obj_cd!="121")
	 
	*If a 121 teacher observation exists for a teacher-year, drop the non-121 observations
	  sort teachid year not_teacher
	  by teachid year : drop if not_teacher==1 & _n>1 & not_teacher[1]==0

	
	
	*If a teacher is listed with both a BA and an M for 1 year, we take the BA since that is what they started with.
	egen min_ed=min(educ_level),by(teachid year)
	drop if educ_level!=min_ed & educ_level!=.
	
	
	**same logic as was used for education applies to national board certification
	egen min_nbpts=min(nbpts),by(teachid year)
	drop if nbpts!=min_nbpts & nbpts!=. 
	  
	  duplicates tag teachid year years_exp,gen(dup2)
	  
**At this point more than 99% of the data are unique observations.  

	**less than 0.01% have two different experience levels in the same year.  I keep the smaller of the two arbitrarily, but this affects almost nobody.
	egen min_exp=min(years_exp),by(teachid year)
	drop if years_exp!=min_exp & years_exp!=.

**all of the remaining duplicates come from observations where there are multiple bud_obj_cd, none of which are the 121 teacher code.
  
  **most of it comes from the 131 code that isn't documented anywhere.  much of the rest comes from the 113 "director" code.
  **most of the issues are in the 2012 year.
  
 
drop bud_obj_cd

duplicates drop

**
duplicates report teachid year


**The only remaining duplicates (6 total) are just because the paycode variable has extra spaces in weird places.  We don't use that so it doesn't matter.
drop pay_lvl_cd digits56

duplicates drop


**Yay! no more duplicates
duplicates report teachid year

label var year "Year defined based on pay file names"
label var missing_pay_data "Teacher present in pay files but has pay_lvl_cd blank"
label var tchr_exp "experience that ncerdc created for 2012 onward.  Doesn't match perfectly with the paycode stuff for some reason"
label var not_teacher "doesn't have the teacher bud_obj_cd of 121"
label var rectype "position type (teacher, admin, etc) based on the pay_lvl_cd variable where exp comes from"


keep teachid rectype paycode_flag missing_pay_data not_teacher year years_exp educ_level nbpts tchr_exp


save tch_pay2006_2014_unique,replace


use tch_pay2006_2014_unique,clear


sort teachid missing_pay_data year 
bys teachid missing_pay_data: gen exp_temp=years_exp if _n==1
egen exp_base=min(exp_temp),by(teachid)

**identify the year of the base year
bys teachid missing_pay_data: gen year_base_temp=year if _n==1 & missing_pay_data==0
egen year_base=min(year_base_temp),by(teachid)

drop exp_temp year_base_temp


**this is the time since the base year
gen time_since_base_year=year-year_base

gen years_exp_alt=exp_base+time_since_base_year


	**first identify the observation number corresponding to the base year.
	sort teachid year
	by teachid: gen ob_num_base_temp=_n if year==year_base
	egen ob_base=min(ob_num_base_temp),by(teachid)
	drop ob_num_base_temp

	**now count observations since base year.
	sort teachid year
	by teachid: gen years_exp_alt2=exp_base+(_n-ob_base)


**imputes teacher experience, assuming that base year is correct. I increment up once each year, regardless of whether the individual
*appears in the data.  This will be correct if teacher records are missing or messed up in some years, but will be wrong for true leaves of absence.
gen tch_exp=years_exp_alt


gen tch_exp2=years_exp_alt2
*replace tch_exp2=years_exp_alt2 if years_exp_alt2!=.

rename years_exp tch_exp_pay_file

label var tch_exp "treats base-year pay info as correct and calculates time since base-year"

label var tch_exp2 "treats base-year pay info as correct and calculates teacher observations since base-year"


**the above creates three pay measures.  I think the tch_exp pay measure should be preferred.

**create some flags that identify teachers with discrepencies.

gen tch_exp_not_match_pay=(tch_exp_pay_file!=tch_exp) 
gen tch_exp2_not_match_pay=(tch_exp_pay_file!=tch_exp2)



keep teachid educ_level year_base exp_base tch_exp_pay_file nbpts year tch_exp tch_exp2 rectype paycode_flag missing_pay_data not_teacher nbpts

sort teachid year


cd "$work"

save teach_exp_file,replace


use "/home/home2/qureshi_rs1/complementarities/rawdata/VAM_data.dta",clear
keep teachid year 
duplicates drop
sort teachid year

save class_tch_yr,replace




use teach_exp_file,clear

**Now I merge on a teacher-by-year file that represents the people teaching students.
merge 1:1 teachid year using class_tch_yr.dta,gen(merge_class_tch_to_pay_records)



**This fills in base year info for the teacher-years only in classroom data.
egen year_base_full=min(year_base),by(teachid)
egen exp_base_full=min(exp_base),by(teachid)


**this is the time since the base year.  Base year is based on the pay files.
gen time_since_base_year=year-year_base_full

**this constructs experience by measuring time since base year.
gen years_exp_alt=exp_base_full+time_since_base_year

**this constructs experience by measuring number of observations since base year.

	**first identify the observation number corresponding to the base year.
	sort teachid year
	by teachid: gen ob_num_base_temp=_n if year==year_base_full
	egen ob_base=min(ob_num_base_temp),by(teachid)
	drop ob_num_base_temp

	**now count observations since base year.
	sort teachid year
	by teachid: gen years_exp_alt2=exp_base_full+(_n-ob_base)



gen d1=tch_exp-years_exp_alt
tab d1,m

gen d2=tch_exp2-years_exp_alt2
tab d2,m

gen d3=tch_exp2-tch_exp
gen d4=years_exp_alt2-years_exp_alt

tab d3 d4,m


gen tch_exp_not_match_pay=(tch_exp_pay_file!=years_exp_alt) 
gen tch_exp2_not_match_pay=(tch_exp_pay_file!=years_exp_alt2)

egen ave_bad_match1=mean(tch_exp_not_match_pay),by(teachid)
egen ave_bad_match2=mean(tch_exp2_not_match_pay),by(teachid)

summ ave_bad_match1 ave_bad_match2,d

**choose the best measure in terms of matching the teacher's overall pattern.
**The rationalle is if we see 1,3,3,4,5,6, the first 3 was probably a mistake, but if we see 1,3,4,5,6, the first 3 is more likely right.
gen     exp = years_exp_alt    if ave_bad_match1   <=   ave_bad_match2
replace exp = years_exp_alt2   if ave_bad_match2   <   ave_bad_match1


gen exp_match=(exp==tch_exp_pay_file) if tch_exp_pay_file!=.
tab exp_match
egen all_exp_match_tch=min(exp_match),by(teachid)
tab all_exp_match_tch




**now I do the same assessment, but focus only on teacher-years that match to the student file.
egen min_merge=min(merge_class_tch_to_pay_records),by(teachid)
egen max_merge=max(merge_class_tch_to_pay_records),by(teachid)

drop if merge_class_tch_to_pay_records==1

**the match rate is similar, but a bit better in the sample that matches the classroom files.
drop exp_match all_exp_match_tch
gen exp_match=(exp==tch_exp_pay_file) if tch_exp_pay_file!=.
tab exp_match
egen all_exp_match_tch=min(exp_match),by(teachid)
tab all_exp_match_tch


**very few teachers match to the value-added dataset the entire time which is consistent with switching around
tab min_merge


**Now I clean up the dataset a bit.
rename missing_pay_data missing_pay_data_this_year
egen missing_any_pay_data = max(missing_pay_data_this_year),by(teachid)

rename not_teacher not_teacher_this_year
egen not_always_teacher= max(not_teacher_this_year),by(teachid)

label var missing_any_pay_data "teacher is missing exp from pay data in any year where she appears in pay data"
label var not_always_teacher "person has some pay records where she is not a teacher but matches to students."

**I use the measures of experience that incorporate classroom information.
replace tch_exp=years_exp_alt
replace tch_exp2=years_exp_alt2

label var exp "for each teacher use tch_exp or tch_exp2 based on match to pay files"



keep teachid educ_level tch_exp_pay_file nbpts year tch_exp tch_exp2 exp missing_any_pay_data not_always_teacher missing_pay_data not_teacher 

sort teachid year

**create the flags indicating that everything matches vs not everything matches.

gen exp_imputed=(tch_exp_pay_file!=exp)
tab exp_imputed
egen exp_ever_imputed=max(exp_imputed),by(teachid)
tab exp_ever_imputed

label var exp_imputed "exp is not confirmed by paycode data"
label var exp_ever_imputed "exp is not always confirmed by paycode data for this teacher"


cd "$work"

save cleaned_teach_exp_file,replace
