clear all
version 12
set more off
cap log close

do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

/*
This do-file adds back in teacher characteristics.
*/

cd "$data"
use tchsgydata_rr_1a.dta, clear

*Merge data from teachers and from panel. Will merge based on the year the current student had the teacher available.
rename teachid ptch

merge 1:m ptch year grade lea_r schlcode_fl using "$data/panel_rr_1a.dta"
drop if _merge == 1
drop _merge

sa "$data/panel2_rr_1a.dta", replace

*Merge in Teacher VA*

use "$data/tchr_va_boot.dta"

rename teachid ptch

keep ptch va* 

merge 1:m ptch using "$data/panel2_rr_1a.dta"
drop if _merge == 1
drop _merge

sa "$data/panel2_rr_1a.dta", replace

*Merge in teacher experience and certification

do "$do_files/02_teachchar_cleaning.do"
use "$data/teach_exp_file.dta", clear

keep teachid year exp expgt3i expgt5i expgt10i more_than_BA nbpts exp_is_imputedw exp_ever_imputed nbpts_imputed educ_imputed

rename teachid ptch

merge 1:m ptch year using "$data/panel2_rr_1a.dta"
drop if _merge == 1
drop _merge

sa "$data/panel2_rr_1a.dta", replace

*Merge in teacher demographics
use "$data/teacher_eth.dta", clear

drop tch_eth
tab teacheth, gen(tch_eth)
g tch_rwhite = tch_eth6==1 if tch_eth6!=.
g tch_rblack = tch_eth2==1 if tch_eth2!=.
g tch_rhisp = tch_eth3==1 if tch_eth3!=.
g tch_roth = (tch_eth1==1 | tch_eth5==1 | tch_eth4==1) if teacheth!=.
drop teacheth tch_eth*
sa "$data/tch_race.dta", replace

rename teachid ptch

merge 1:m ptch using "$data/panel2_rr_1a.dta"
drop if _merge == 1
drop _merge

order lea_r schlcode_fl year grade mastid siblingID family birthdt plurality ptch atch* sib* va*, first

gen real_match = any_match if any_ostchp == 1

sa "$data/panel2_rr_1a.dta", replace
