
clear all
version 13
set more off
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

/*
****************************************************************
	INPUT FILES: eog03pub95_1 -eog08pub07_1
	Came from the singles file. Have one observation per student grade year
	
	OUTPUT FILE: EOGstudent_file95_07
****************************************************************
*/

local year1995 = "95"
local year1996 = "96"
local year1997 = "97"
local year1998 = "98"
local year1999 = "99"
local year2000 = "00"
local year2001 = "01"
local year2002 = "02"
local year2003 = "03"
local year2004 = "04"
local year2005 = "05"
local year2006 = "06"
local year2007 = "07"
local year2008 = "08"
local year2009 = "09"
local year2010 = "10"
local year2011 = "11"
local year2012 = "12"

cd "$raw"
cd student
cd end_of_grade
cd singles

forvalues yr=1997/2007{
forvalues g=3/8{

cd "$raw"
cd student
cd end_of_grade
cd singles

use eog`g'pub`year`yr''_1,clear



rename mathscal mathscal_i
rename readscal readscal_i
egen mathscal=max(mathscal_i),by(mastid grade)
egen readscal=max(readscal_i),by(mastid grade)

drop mathscal_i readscal_i
duplicates drop

qui gen studentvalid=1
qui gen invalidreason=0

*Invalid based on exceptionality status

if `yr'<=2000 {
		*1995-2000;
		qui replace studentvalid=0 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12" 
        qui replace invalidreason=4 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12"
	}
	 else if `yr'<=2002 {
        * 2001-02;
        qui replace studentvalid=0 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12" | except=="13" | except=="14" | except=="15" | except=="16" 
        qui replace invalidreason=4 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12" | except=="13" | except=="14" | except=="15" | except=="16" 
       }  
      else if `yr'<=2007 {
        * 2003-09;
        qui replace studentvalid=0 if except=="05" | except=="06" | except=="07" | except=="09" | except=="10" | except=="11" | except=="12" | except=="14" | except=="16" 
        qui replace invalidreason=4 if except=="05" | except=="06" | except=="07" | except=="09" | except=="10" | except=="11" | except=="12" | except=="14" | except=="16" 
        }
	
	
display "Flagging alternate tests"
* Alternate tests;
      if `yr' >=2001  & `yr'<2006{
        * 01-05;
        qui replace studentvalid = 0 if iepinvm=="1" | iepinvr=="1" | ieppo=="1"
        qui replace invalidreason = 5 if iepinvm=="1" | iepinvr=="1" | ieppo=="1"
      }
      if `yr' ==2000 {
       qui replace studentvalid = 0 if asmncal=="1" | asrncal=="1" 
	 * math and reading;
        qui replace invalidreason = 5 if asmncal=="1" | asrncal=="1" 
	* math and reading
		
       qui replace studentvalid = 0 if asmbasis=="1" | asmbrig=="1" | asmdiag=="1" | asmenr=="1" | ///
          asmkauf=="1" | asmkey=="1" | asmneat=="1" | asmoth=="1" | asmpiat=="1" | asmstan=="1" | asminv=="1" ///
          | asmtest=="1" | asmwood=="1" | asrbasis=="1" | asrbrig=="1" | asrcomp=="1" | asrdiag=="1" | ///
          asrform=="1" | asrkauf=="1" | asrneat=="1" | asroth=="1" | asrpat=="1" | asrpiat=="1" | ///
          asrstan=="1" | asrstand=="1" | asrtest=="1" | asrwood=="1" | asrwoodm=="1"
        qui replace invalidreason = 5 if asmbasis=="1" | asmbrig=="1" | asmdiag=="1" | asmenr=="1" | ///
          asmkauf=="1" | asmkey=="1" | asmneat=="1" | asmoth=="1" | asmpiat=="1" | asmstan=="1" | asminv=="1" | ///
          asmtest=="1" | asmwood=="1" | asrbasis=="1" | asrbrig=="1" | asrcomp=="1" | asrdiag=="1" | ///
          asrform=="1" | asrkauf=="1" | asrneat=="1" | asroth=="1" | asrpat=="1" | asrpiat=="1" | ///
          asrstan=="1" | asrstand=="1" | asrtest=="1" | asrwood=="1" | asrwoodm=="1"
      }

	 if `yr'>2005 {
	 * 2006-2009
	 qui replace studentvalid = 0 if nccmath=="1" | nccread=="1" | ncemath=="1" | nceread=="1"
	 qui replace invalidreason= 6 if nccmath=="1" | ncemath=="1"
	 qui replace invalidreason= 7 if nccread=="1" | nceread=="1"
	 }
	 if `yr'>2006 {
	 qui replace studentvalid = 0 if ncextend=="1"
	 qui replace invalidreason= 5 if ncextend=="1"
	 }
	 
 	 * Exemption;
      if `yr' <=2000 {
        * 95-00 only;
        qui replace studentvalid=0 if exempt~=""
        qui replace invalidreason=8 if exempt~=""
      }
	
		gen lunch=.
		label var lunch "Student on free or reduced lunch"

	  if `yr'==2006{
		qui replace lunch=1 if frl=="F" | frl=="R" | frl=="T"
		qui replace lunch=0 if frl=="N"
	  }
	  if `yr'<2006 & `yr'>2002 {
		qui replace lunch=1 if schlunch=="2" | schlunch=="3"
		qui replace lunch=0 if schlunch=="4"
	  }
	if `yr'<2003 & `yr'>1998 {
		qui replace lunch=1 if schlunch=="1" | schlunch=="2"
		qui replace lunch=0 if schlunch=="4" | schlunch=="0"
	  }
	  
				gen lep_flag=0
			label var lep_flag "Student has limited english proficiency"
		if `yr'<2003 {
		qui replace lep_flag=1 if limeng=="1"
		}
		
		if `yr'==2003 {
			qui replace lep_flag=1 if lep=="1" | lep=="2"
		}
		
		if `yr'==2004 | `yr'==2005 {
			qui replace lep_flag=1 if lepstat=="2" | lepstat=="3" | lepstat=="4" | lepstat=="5"
		}
		
		if `yr'==2006 {
			qui replace lep_flag=1 if lep_current=="Y"
		}
		
		if `yr'==2007 {
			qui replace lep_flag=1 if lepstat=="1" | lepstat=="2"
		}
	
				qui gen high_drop=0
						label var high_drop "Parent is High School Dropout"
				qui gen high_grad=0
						label var high_grad "Parent is High School Graduate"
				qui gen some_coll=0
						label var some_coll "Parent has some college (or vocational)"
				qui gen coll_grad=0
						label var coll_grad "Parent is College graduate"
				qui gen ma_grad=0
						label var ma_grad "Parent has graduate degree"

				if `yr'>2006 {
				gen pared=.
		}
		
		qui destring pared,replace
	
		if `yr'>2002 & `yr'<2007 {
			qui replace high_drop=1 if pared==1
			qui replace high_grad=1 if pared==2
			qui replace some_coll=1 if pared==3 | pared==4 | pared==5
			qui replace coll_grad=1 if pared==6
			qui replace ma_grad=1 if pared==7
		}
		
		if `yr'==2000 {
			qui replace high_drop=1 if pared==1
			qui replace high_grad=1 if pared==2
			qui replace some_coll=1 if pared==3 | pared==4 | pared==5
			qui replace coll_grad=1 if pared==6
			qui replace ma_grad=1 if pared==7
		}
		
		if `yr'<2000 {
			qui replace high_drop=1 if pared==1
			qui replace high_grad=1 if pared==2
			qui replace some_coll=1 if pared==3 | pared==4
			qui replace coll_grad=1 if pared==5
			qui replace ma_grad=1 if pared==6
		}
		
		if `yr'>2000 & `yr'<2003 {
			qui replace high_drop=1 if pared==1
			qui replace high_grad=1 if pared==2
			qui replace some_coll=1 if pared==3 | pared==4
			qui replace coll_grad=1 if pared==5
			qui replace ma_grad=1 if pared==6
		}
		
				qui replace high_drop=. if pared==.
				qui replace high_grad=.  if pared==.
				qui replace some_coll=. if pared==.
				qui replace coll_grad=. if pared==.
				qui replace ma_grad=. if pared==.
		
		if `yr'<2001{
		gen administ="."
		}
		
		if `yr'>1998{
		gen nonvmath="."
		gen nonvread="."
		}
		
		if `yr'<1999{
		gen misadmin="."
		}
		

	keep mastid teachid studentvalid high_drop high_grad some_coll coll_grad ma_grad invalidreason mathscal readscal ///
        bdate lep_flag sex ethnic except lunch lea schlcode administ misadmin nonvmath nonvread
	 
	**Now append data sets by grade to create one file per year;
	gen year=`yr'
	gen grade=`g'
	
	cd $data
	cd singles
	qui save singles_eog`g'_`year`yr''.dta, replace
}
}	
	
	clear

	display "  		Appending grade:`g' year:`yr'"
	cd $data
	cd singles

	
	use singles_eog3_97.dta
		forvalues g=4/8{
		append using singles_eog`g'_97.dta
		}
		qui save EOGstudent_97.dta,replace
		clear	
	
	use singles_eog3_98.dta
		forvalues g=4/8{
		append using singles_eog`g'_98.dta
		}
		qui save EOGstudent_98.dta,replace
		clear
		
	use singles_eog3_99.dta
		forvalues g=4/8{
		append using singles_eog`g'_99.dta
		}
		qui save EOGstudent_99.dta,replace
		clear
		
	use singles_eog3_00.dta
		forvalues g=4/8{
		append using singles_eog`g'_00.dta
		}
		qui save EOGstudent_00.dta,replace
		clear
		
	use singles_eog3_01.dta
		forvalues g=4/8{
		append using singles_eog`g'_01.dta
		}
		qui save EOGstudent_01.dta,replace
		clear
		
	use singles_eog3_02.dta
		forvalues g=4/8{
		append using singles_eog`g'_02.dta
		}
		qui save EOGstudent_02.dta,replace
		clear
		
	use singles_eog3_03.dta
		forvalues g=4/8{
		append using singles_eog`g'_03.dta
		}
		qui save EOGstudent_03.dta,replace
		clear
	
	use singles_eog3_04.dta
		forvalues g=4/8{
		append using singles_eog`g'_04.dta
		}
		qui save EOGstudent_04.dta,replace
		clear
		
	use singles_eog3_05.dta
		forvalues g=4/8{
		append using singles_eog`g'_05.dta
		}
		qui save EOGstudent_05.dta,replace
		clear
		
	use singles_eog3_06.dta
		forvalues g=4/8{
		append using singles_eog`g'_06.dta
		}
		qui save EOGstudent_06.dta,replace
		clear
	
	use singles_eog3_07.dta
		forvalues g=4/8{
		append using singles_eog`g'_07.dta
		}
		qui save EOGstudent_07.dta,replace
		clear

  forvalues yr=1997/2007{
  use EOGstudent_`year`yr''.dta,clear
  
  sort mastid grade
  qui duplicates tag mastid, gen(dupl)
  
  qui duplicates tag *, gen(dupall)
  dis "For the Year `yr' there are the following duplicates"
  tab dupl if dupl>0
  tab dupall if dupall>0
  clear
}

 
	use EOGstudent_97.dta
	forvalues yr=1998/2007{
		dis "                                                                        Merging on year `yr'"
		append using EOGstudent_`year`yr''
		}
				
	qui save EOGstudent_file97_07,replace
	
clear



local year1995 = "95"
local year1996 = "96"

cd "$raw"
cd student
cd end_of_grade
cd singles
forvalues yr=1995/1996{
forvalues g=3/4{

cd "$raw"
cd student
cd end_of_grade
cd singles

use eog`g'pub`year`yr''_1,clear

rename mathscal mathscal_i
rename readscal readscal_i
egen mathscal=max(mathscal_i),by(mastid grade)
egen readscal=max(readscal_i),by(mastid grade)

drop mathscal_i readscal_i
duplicates drop

qui gen studentvalid=1
qui gen invalidreason=0

* exceptionality status

if `yr'<=2000 {
		*1995-2000;
		qui replace studentvalid=0 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12" 
        qui replace invalidreason=4 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12"
	}
	
 * Exemption;
      if `yr' <=2000 {
        * 95-00 only;
        qui replace studentvalid=0 if exempt~=""
        qui replace invalidreason=8 if exempt~=""
      }
	
		gen lunch=.
		label var lunch "Student on free or reduced lunch"
		
			gen lep_flag=0
			label var lep_flag "Student has limited english proficiency"
		if `yr'<2003 {
		qui replace lep_flag=1 if limeng=="1"
		}


				qui gen high_drop=0
						label var high_drop "Parent is High School Dropout"
				qui gen high_grad=0
						label var high_grad "Parent is High School Graduate"
				qui gen some_coll=0
						label var some_coll "Parent has some college (or vocational)"
				qui gen coll_grad=0
						label var coll_grad "Parent is College graduate"
				qui gen ma_grad=0
						label var ma_grad "Parent has graduate degree"

						
	if `yr'<2000 {
			qui replace high_drop=1 if pared=="1"
			qui replace high_grad=1 if pared=="2"
			qui replace some_coll=1 if pared=="3" | pared=="4"
			qui replace coll_grad=1 if pared=="5"
			qui replace ma_grad=1 if pared=="6"
		}	
		
		
				qui replace high_drop=. if pared=="."
				qui replace high_grad=.  if pared=="."
				qui replace some_coll=. if pared=="."
				qui replace coll_grad=. if pared=="."
				qui replace ma_grad=. if pared=="."
		
		if `yr'<2001{
		gen administ="."
		}
		
		if `yr'<1999{
		gen misadmin="."
		}
		
	keep mastid teachid studentvalid high_drop high_grad some_coll coll_grad ma_grad invalidreason mathscal readscal ///
        bdate lep_flag sex ethnic except lunch lea schlcode administ misadmin nonvmath nonvread
	 
	**Now append data sets by grade to create one file per year;
	gen year=`yr'
	gen grade=`g'
	
	
	cd $data
	cd singles
	qui save singles_eog`g'_`year`yr''.dta, replace
}
}	


cd "$raw"
cd student
cd end_of_grade
cd singles
forvalues yr=1995/1995{
forvalues g=5/8{

cd "$raw"
cd student
cd end_of_grade
cd singles

use eog`g'pub`year`yr''_1,clear

rename mathscal mathscal_i
rename readscal readscal_i
egen mathscal=max(mathscal_i),by(mastid grade)
egen readscal=max(readscal_i),by(mastid grade)

drop mathscal_i readscal_i
duplicates drop


qui gen studentvalid=1
qui gen invalidreason=0

* exceptionality status

if `yr'<=2000 {
		*1995-2000;
		qui replace studentvalid=0 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12" 
        qui replace invalidreason=4 if except=="05" | except=="08" | except=="10" | except=="11" | except=="12"
	}
	
 * Exemption;
     
      if `yr' <=2000 {
        * 95-00 only;
        qui replace studentvalid=0 if exempt~=""
        qui replace invalidreason=8 if exempt~=""
      }
			gen lunch=.
		label var lunch "Student on free or reduced lunch"
		
			gen lep_flag=0
			label var lep_flag "Student has limited english proficiency"
		if `yr'<2003 {
		qui replace lep_flag=1 if limeng=="1"
		}

				qui gen high_drop=0
						label var high_drop "Parent is High School Dropout"
				qui gen high_grad=0
						label var high_grad "Parent is High School Graduate"
				qui gen some_coll=0
						label var some_coll "Parent has some college (or vocational)"
				qui gen coll_grad=0
						label var coll_grad "Parent is College graduate"
				qui gen ma_grad=0
						label var ma_grad "Parent has graduate degree"

						
	if `yr'<2000 {
			qui replace high_drop=1 if pared=="1"
			qui replace high_grad=1 if pared=="2"
			qui replace some_coll=1 if pared=="3" | pared=="4"
			qui replace coll_grad=1 if pared=="5"
			qui replace ma_grad=1 if pared=="6"
		}	
		
		
				qui replace high_drop=. if pared=="."
				qui replace high_grad=.  if pared=="."
				qui replace some_coll=. if pared=="."
				qui replace coll_grad=. if pared=="."
				qui replace ma_grad=. if pared=="."
		
		if `yr'<2001{
		gen administ="."
		}
		
		if `yr'<1999{
		gen misadmin="."
		}
		
		/*
		cap gen orig_file="MISSING";
		cap gen except="MISSING";
		*/
	keep mastid teachid studentvalid high_drop high_grad some_coll coll_grad ma_grad invalidreason mathscal readscal ///
        bdate lep_flag sex ethnic except lunch lea schlcode administ misadmin nonvmath nonvread
	 
	**Now append data sets by grade to create one file per year;
	gen year=`yr'
	gen grade=`g'
	
	
	cd $data
	cd singles
	qui save singles_eog`g'_`year`yr''.dta, replace
}
}	
	
	clear
	display "  		Appending grade:`g' year:`yr'"
	local year1995 = "95"
	local year1996 = "96"
	cd $data
	cd singles
	use singles_eog3_95.dta
		forvalues g=4/8{
		append using singles_eog`g'_95.dta
		}
		qui save EOGstudent_95.dta,replace
		clear	
		
	use singles_eog3_96.dta
		
		append using singles_eog4_96.dta
		
		qui save EOGstudent_96.dta,replace
		clear	
		
	
  forvalues yr=1995/1996{
  use EOGstudent_`year`yr''.dta,clear
  
  sort mastid grade
  qui duplicates tag mastid, gen(dupl)
  
  qui duplicates tag *, gen(dupall)
  tab dupl if dupl>0
  tab dupall if dupall>0
  clear
}

 
	use EOGstudent_file97_07
	forvalues yr=1995/1996{
		dis "                                                                        Merging on year `yr'"
		append using EOGstudent_`year`yr''
		}
				
	qui save EOGstudent_file95_07,replace
	
clear
