clear all
version 13
set more off
do "/home/home2/qureshi_rs1/teacher_sorting/directory_do"

*appending the eog95-07 files with the mb files 2008-2012
	INPUT: EOGstudent_file95_07 & mb2008_2012.dta & sibling_pub.dta
	OUTPUT: eog_mb_sib_tests_yr95_12_gr03_08.dta


cd $data
cd singles
use EOGstudent_file95_07.dta, clear

cd $data
cd MB
append using mb2008_2012.dta

drop frl

duplicates tag mastid year, gen(dup_m_y)
tab dup_m_y
di 159230+ 6564 +160+5+7
count if dup_m_y>0 & mathscal==. & readscal==.

gen test_there=1 if dup_m_y>0 & mathscal!=. | dup_m_y>0 & readscal!=.
egen xtest_there=max(test_there) if dup_m_y>0, by(mastid year)

drop if mathscal==. & readscal==. & xtest_there==1 & dup_m_y>0
duplicates drop mastid year if mathscal==. & readscal==., force
drop test_there xtest_there

gen ind_premath= (ma_pretest!=.) if year>2007
gen ind_preread= (rd_pretest!=.) if year>2007

tab ind_premath year if year>2007
tab ind_preread year if year>2007

gen mamiss_tsdt=1 if ma_test_date==. & year>2007
replace mamiss_tsdt=1 if right_ma_testdt==0 & year==2012
	label var mamiss_tsdt "missing for math test date or wrong date"
gen rdmiss_tsdt=1 if rd_test_date==. & year>2007 
replace rdmiss_tsdt=1 if right_rd_testdt==0 & year==2012
	label var rdmiss_tsdt "missing for read test date or wrong date"


duplicates tag mastid year, gen(dup1)
tab dup1 

*standard testt
gen standard_test=1 if dup1>0 & ma_test_id=="MA03" & rd_test_id=="RD03" | dup1>0 & ma_test_id=="MA04" & rd_test_id=="RD04" ///
		| dup1>0 & ma_test_id=="MA05" & rd_test_id=="RD05" | dup1>0 & ma_test_id=="MA06" & rd_test_id=="RD06" ///
		| dup1>0 & ma_test_id=="MA07" & rd_test_id=="RD07" | dup1>0 & ma_test_id=="MA08" & rd_test_id=="RD08"

gen normaltest=1 if dup1>0 & ma_test_id=="MA03" | dup1>0 & rd_test_id=="RD03" | dup1>0 & ma_test_id=="MA04" | dup1>0 & rd_test_id=="RD04" ///
                    | dup1>0 & ma_test_id=="MA05" | dup1>0 & rd_test_id=="RD05" | dup1>0 & ma_test_id=="MA06" | dup1>0 & rd_test_id=="RD06" ///
		    | dup1>0 & ma_test_id=="MA07" | dup1>0 & rd_test_id=="RD07" | dup1>0 & ma_test_id=="MA08" | dup1>0 & rd_test_id=="RD08"

egen xntest=max(standard_test) if dup1>0, by(mastid year)
egen xnetest= max(normaltest) if dup1>0, by(mastid year)

gen alttest=1 if dup1>0 & ma_test_id!="MA03" & ma_test_id!="."  &  ma_test_id!="MA04" & ma_test_id!="MA08"  & ma_test_id!="MA07" ///
                    &  ma_test_id!="MA05" &  ma_test_id!="MA06" | dup1>0 & rd_test_id!="RD06" & rd_test_id!="." ///
		    & rd_test_id!="RD05" & rd_test_id!="RD07"  & rd_test_id!="RD08" & rd_test_id!="RD03" & rd_test_id!="RD04"

gen alttestboth=1 if dup1>0 & ma_test_id!="MA03" & ma_test_id!="."  &  ma_test_id!="MA04" & ma_test_id!="MA08"  & ma_test_id!="MA07" ///
                    &  ma_test_id!="MA05" &  ma_test_id!="MA06" & rd_test_id!="RD06" & rd_test_id!="." ///
		    & rd_test_id!="RD05" & rd_test_id!="RD07"  & rd_test_id!="RD08" & rd_test_id!="RD03" & rd_test_id!="RD04"

drop if dup1>0 & xntest==1 & alttest==1
drop if dup1>0 & xnetest==1 & alttestboth==1

duplicates tag mastid year, gen(dup2)

egen max_grade=max(grade) if dup2>0, by(mastid year)
egen min_grade=min(grade) if dup2>0, by(mastid year)
gen same_grade=1 if max_grade==min_grade & dup2>0
replace same_grade=. if mastid==7668726 & year==2009 & dup2>0
drop if dup2>0 & same_grade==.

duplicates tag mastid year, gen(dup3)

egen max_ma_date=max(ma_test_date) if dup3>0, by(mastid year)
egen min_ma_date=min(ma_test_date) if dup3>0, by(mastid year)
egen max_rd_date=max(rd_test_date) if dup3>0, by(mastid year)
egen min_rd_date=min(rd_test_date) if dup3>0, by(mastid year)

gen Null_ts=1 if ma_test_id=="NULL" | rd_test_id=="NULL" & dup3>0

duplicates drop mastid year if max_ma_date==min_ma_date & max_rd_date==min_rd_date & Null_ts!=1, force

duplicates tag mastid year, gen(dup4)

gen  same_date=(ma_test_date==rd_test_date) if dup4>0 
egen xsame_date=max(same_date) if dup4>0, by(mastid year)
egen msame_date=min(same_date) if dup4>0, by(mastid year)

drop if         xsame_date==1 & msame_date==1 & ma_test_date==max_ma_date
duplicates drop mastid year if xsame_date==0 & msame_date==0, force

duplicates tag mastid year, gen(dup5)
drop if    same_date==0 & xsame_date==1 & dup5>0 

duplicates tag mastid year, gen(dup6)
drop if    dup6>0 & max_ma_date== ma_test_date

  
drop ind_premath ind_preread standard_test dup1 normaltest xntest alttest ///
     alttestboth xnetest dup2 max_grade min_grade same_grade dup3 max_ma_date ///
     min_ma_date max_rd_date min_rd_date Null_ts dup4 same_date msame_date xsame_date ///
     dup5 dup6 teachid   

cd $data
save eog_mb_sib_tests_95_12.dta, replace   

preserve
keep if grade==3 | grade==4 | grade==5 |grade==6 | grade==7 | grade==8
keep if year>2005

cd $data
save tests_gr03_08_yr06_12.dta, replace
restore
